yast2-slp

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Functions | Variables
SlpAgent.cc File Reference
`#include <slp.h>`
`#include <dlfcn.h>`
`#include "SlpAgent.h"`
`#include "slp_debug.h"`

## Functions
const YCPList | splitAttrstring (const YCPString &s, const YCPString &c)
const YCPList | splitstring (const YCPString &s, const YCPString &c)
char * | CallSLPGetPeer (SLPHandle hSLP, const char *pcURL)
SLPBoolean | MySLPSrvURLCallback (SLPHandle hslp, const char *srvurl, unsigned short lifetime, SLPError errcode, void *cookie)
SLPBoolean | MySLPSrvTypeCallback (SLPHandle hslp, const char *pcSrvTypes, SLPError errcode, void *cookie)
SLPBoolean | MyAttrCallback (SLPHandle hslp, const char *attrlist, SLPError errcode, void *cookie)
YCPValue | SlpAgentFindAttrs (const char *pcURLOrServiceType, const char *pcScopeList, const char *pcAttrIds)
YCPValue | SlpAgentUnicastFindAttrs (const char *pcURLOrServiceType, const char *pcScopeList, const char *pcAttrIds, const char *ip)
YCPValue | SlpAgentFindSrvs (const char *pcServiceType)
YCPValue | SlpAgentFindSrvTypes (const char *pcNamingAuthority)
const char * | getMapValue (const YCPMap map, const string key)
void | MySLPRegReport (SLPHandle hslp, SLPError errcode, void *cookie)

## Variables
YCPList | Result

## Function Documentation

char* CallSLPGetPeer | ( | SLPHandle | hSLP,
|  | const char * | pcURL
| ) |  |

Referenced by MySLPSrvURLCallback().

const char* getMapValue | ( | const YCPMap | map,
|  | const string | key
| ) |  |

References YCPMap::begin(), YCPMap::end(), and y2error.

Referenced by SlpAgent::Read().

SLPBoolean MyAttrCallback | ( | SLPHandle | hslp,
|  | const char * | attrlist,
|  | SLPError | errcode,
|  | void * | cookie
| ) |  |

References splitAttrstring().

Referenced by SlpAgentFindAttrs(), and SlpAgentUnicastFindAttrs().

void MySLPRegReport | ( | SLPHandle | hslp,
|  | SLPError | errcode,
|  | void * | cookie
| ) |  |

Referenced by SlpAgent::Execute().

SLPBoolean MySLPSrvTypeCallback | ( | SLPHandle | hslp,
|  | const char * | pcSrvTypes,
|  | SLPError | errcode,
|  | void * | cookie
| ) |  |

References splitstring().

Referenced by SlpAgentFindSrvTypes().

SLPBoolean MySLPSrvURLCallback | ( | SLPHandle | hslp,
|  | const char * | srvurl,
|  | unsigned short | lifetime,
|  | SLPError | errcode,
|  | void * | cookie
| ) |  |

References YCPMap::add(), YCPList::add(), CallSLPGetPeer(), and check_error_state().

Referenced by SlpAgentFindSrvs().

YCPValue SlpAgentFindAttrs | ( | const char * | pcURLOrServiceType,
|  | const char * | pcScopeList,
|  | const char * | pcAttrIds
| ) |  |

References check_error_state(), and MyAttrCallback().

Referenced by SlpAgent::Read().

YCPValue SlpAgentFindSrvs | ( | const char * | pcServiceType) |  |

References check_error_state(), and MySLPSrvURLCallback().

Referenced by SlpAgent::Read().

YCPValue SlpAgentFindSrvTypes | ( | const char * | pcNamingAuthority) |  |

References check_error_state(), and MySLPSrvTypeCallback().

Referenced by SlpAgent::Read().

YCPValue SlpAgentUnicastFindAttrs | ( | const char * | pcURLOrServiceType,
|  | const char * | pcScopeList,
|  | const char * | pcAttrIds,
|  | const char * | ip
| ) |  |

Perform an unicast query for attributes Comparing to SlpAgentFindAttrs, additional parameter with IP adress needs to be provided.

References check_error_state(), and MyAttrCallback().

Referenced by SlpAgent::Read().

const YCPList splitAttrstring | ( | const YCPString & | s,
|  | const YCPString & | c
| ) |  |

References YCPList::add(), and ycp2error.

Referenced by MyAttrCallback().

const YCPList splitstring | ( | const YCPString & | s,
|  | const YCPString & | c
| ) |  |

References YCPList::add(), and ycp2error.

Referenced by MySLPSrvTypeCallback().

## Variable Documentation

YCPList Result

Referenced by SlpAgent::Read().